---
schema_version: "1"
id: 79812c899313de0f310fceca3ba15c27a64244aaa9f4e24020f09dde4fab088e
title: Get the Default Search Scope and Order
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/do-me/dome-retrieve-search-scope-order.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/dome-retrieve-search-scope-order.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: c92e7551dc6d3ff4e516b9fec0d540043a51d8db1d077b2c061e90980017bd3c
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Get the Default Search Scope and Order

Use the Search Scope and Order resource to retrieve the default global search scope and order for the logged-in user, including any pinned objects in the user’s search results page.

In the following example, the default global search scope of the logged-in user consists of the site, idea, case, opportunity, account, and user objects, in the order in which they are returned in the response body.

## Example usage

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/search/scopeOrder -H "Authorization: Bearer token"
```

## Example request body

none required

## Example response body

```nolang
[
  {
    "type":"Site",
    "url":"/services/data/v68.0/sobjects/Site/describe"
  },
  {
    "type":"Idea",
    "url":"/services/data/v68.0/sobjects/Idea/describe"
  },
  {
    "type":"Case",
    "url":"/services/data/v68.0/sobjects/Case/describe"
  },
  {
    "type":"Opportunity",
    "url":"/services/data/v68.0/sobjects/Opportunity/describe"
  },
  {
    "type":"Account",
    "url":"/services/data/v68.0/sobjects/Account/describe"
  },
  {
    "type":"User",
    "url":"/services/data/v68.0/sobjects/User/describe"
  }
]
```

